Bug 1301582 - [RFE] ipa-client-install: need an option to completely remove client from idm server.
[RFE] ipa-client-install: need an option to completely remove client from idm...
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: IPA Maintainers
Namita Soman
: FutureFeature
Depends On:
Blocks: 1547051
  Show dependency treegraph
Reported: 2016-01-25 07:43 EST by German Parente
Modified: 2018-02-23 08:46 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description German Parente 2016-01-25 07:43:42 EST
Description of problem:

We can see in documentation:


" The only way to uninstall a client completely is to use ipa-client-install --uninstall. "

It could be interesting, at uninstall, to have an option to do the exact symetric operation than ipa-client-install.

Today, the ipa-client-install command creates entries on server.

And the --uninstall is not deleting them. We need to do 

ipa-client-install --uninstall
ipa host-del <client machine>

to invert the client install. An option "--clean-all" or "--server-clean" could delete also host entry + dns entry if possible ?

Version-Release number of selected component (if applicable):

Comment 2 Petr Vobornik 2016-02-15 14:42:01 EST
Upstream ticket:
Comment 4 Petr Vobornik 2016-03-30 09:52:54 EDT
Summary of internal discussion
So can we summarize and agree that:
a) It is a good idea to have an option to clean DNS record on the host-del
b) Since there are already expectations about system behavior this
option would not be enabled by default.

It is more related to bug 1301586, but here the context is that cleanup should not be a default behavior.

Note You need to log in before you can comment on or make changes to this bug.